%define api_version	2.0
%define lib_major 2
%define lib_name	%mklibname gtksourceviewmm- %{api_version} %{lib_major}
%define develname %mklibname -d gtksourceviewmm- %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Source code viewing library
Name:		gtksourceviewmm2
Version:	2.10.3
Release:	%mkrel 2
License:	LGPLv2+
Group:		Editors
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/gtksourceviewmm/%{url_ver}/gtksourceviewmm-%{version}.tar.xz
BuildRequires:  gtksourceview2-devel >= 2.9.7
BuildRequires:	gtkmm2.4-devel >= 2.12
BuildRequires:	doxygen

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:	Source code viewing library
Group:	System/Libraries

%description -n %{lib_name}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{lib_name}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgtksourceviewmm-%{api_version}.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %develname
Summary:        Libraries and include files for GtkSourceView
Group:          Development/C++
Requires: %lib_name = %version
Provides:	libgtksourceviewmm-devel = %{version}-%{release}
Provides:	libgtksourceviewmm-%{api_version}-devel = %{version}-%{release}
Obsoletes: %mklibname -d gtksourceviewmm- 1.0 2

%description -n %develname
GtkSourceView development files 

This package contains the C++ language bindings for GtkSourceview.

%files -n %develname
%doc %_datadir/doc/gtksourceviewmm-%{api_version}/
%_datadir/devhelp/books/gtksourceviewmm-%{api_version}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_libdir/gtksourceviewmm*

#--------------------------------------------------------------------

%prep
%setup -qn gtksourceviewmm-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -fr %buildroot%_libdir/*.la


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.10.3-2.mga3
+ Revision: 352937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 15 2012 ovitters <ovitters> 2.10.3-1.mga3
+ Revision: 235739
- new version 2.10.3
- fix source url

* Mon Jun 27 2011 fwang <fwang> 2.10.2-2.mga2
+ Revision: 114272
- update tarname
- imported package gtksourceviewmm2

